package cn.gygxzc.envir.config.shiro.cache

import cn.gygxzc.envir.sys.config.properties.ShiroSessionProperties
import org.apache.shiro.cache.AbstractCacheManager
import org.apache.shiro.cache.Cache
import org.springframework.data.redis.core.RedisTemplate


/**
 *
 * @author NorthLan
 * @date 2018/4/23
 * @url https://noahlan.com
 */
class ShiroRedisCacheManager(private val redisTemplate: RedisTemplate<String, Any>,
                             private val properties: ShiroSessionProperties) : AbstractCacheManager() {

    override fun createCache(p0: String): Cache<*, *> {
        return ShiroRedisCache(redisTemplate, p0, properties)
    }
}